Jump to content

Patches


Echo38
 Share

Recommended Posts

I read all the FAQs I could get my hands on, and did a forum search, but, to my surprise, there doesn't seem to anything covering this puzzling issue.

 

The current DCS World download is 1.2.0, and there is no mention of a later version on the page for downloading it, nor is there one on the other page which describes World. However, a look at the Patches section of the Downloads page shows that there is a 1.1.2.1 patch for World. Why is there no mention of this on the World download and description pages?

 

It gets more confusing. There's a patch in the Patches section for A-10C, bearing the version number 1.1.1.1. I presume that this is for the stand-alone version, as opposed to the World-integrated module, but there doesn't seem to be any clarification to this effect or otherwise.

 

Meanwhile, in the Modules section of the Downloads page, there's a download for A-10C bearing the version number 1.2.0. I assume that this is what I need to plug into World, and I need not bother with the 1.1.1.1 thing, but, again, there is no clarification nor, in fact, any information at all about this in the FAQ (or anywhere else that I could find).

 

I've already wasted one deactivation trying to get this mess sorted out, and I am not at all new to installing complicated series of game patches. This, together with my recent discovery that World's controller profile loading function is entirely broken (on my system, at least), is beginning to make me rather unhappy with my recent purchase, and is affecting my contemplation of a future purchase of DCS: P-51D. I'm even considering seeing if I can return A-10C to the seller. The sim looks great, and I know it more than looks it from my experience with the Su-25T in World, but the level of customer support that I've seen thus far is very disappointing.

 

(Eagle Dynamics could stand to take a page out of 777 Studios' book for customer support. 777 sims may not be as high-fidelity & complex, but they sure do a good job of supporting the product, and they do their best to ensure that people are able to use their purchases.)


Edited by Echo38
Link to comment
Share on other sites

Sorry for the confusion.

 

Latest official release version is DCS: World 1.2.0. The previous official release version was A-10C/Ka-50 1.1.1.1.

 

What happened was, before 1.2.0, both A-10C and Ka-50 were stand-alone, and had to be installed separated.

 

1.2.0 release integrated the Ka-50 and A-10C modules into a single install (if you own both Ka-50 and A-10C, at least). So to install, first install the DCS World core (1.2.0). Next, you download and install the A-10C/Ka-50/P-51/Combined Arms modules- whichever you happen to own.

Intelligent discourse can only begin with the honest admission of your own fallibility.

Member of the Virtual Tactical Air Group: http://vtacticalairgroup.com/

Lua scripts and mods:

MIssion Scripting Tools (Mist): http://forums.eagle.ru/showthread.php?t=98616

Slmod version 7.0 for DCS: World: http://forums.eagle.ru/showthread.php?t=80979

Now includes remote server administration tools for kicking, banning, loading missions, etc.

Link to comment
Share on other sites

What's the "Patch from 1.1.2.0 to 1.1.2.1 for DCS: World" for, then? This would indicate that the latest version of World is 1.1.2.1, rather than 1.2.0.

 

It's the first one on this page: http://www.digitalcombatsimulator.com/en/downloads/patches

 

Look at the numbers, 1.2.0 is a larger number than 1.1.x.x. Ignore the patches. the latest release is 1.2.0. There is no patch to get to that version. It is a full install only.

 

Nate

Link to comment
Share on other sites

Ah, I see--sorry, I got confused by the different number of digits--1.2.0.0 would be a better label than 1.2.0, since the older one is 1.1.2.1. Well, point stands about the issue being confusing and undocumented. At the very least, the web page should be updated to remove the links to the outdated patches. : /

 

Thanks for the help, guys. I'll see if I can get this sorted out, and I hope I am able to customize my controllers for the A-10, because I simply cannot fly a sim without customized controls.

Link to comment
Share on other sites

The current DCS World download is 1.2.0, and there is no mention of a later version on the page for downloading it, nor is there one on the other page which describes World. However, a look at the Patches section of the Downloads page shows that there is a 1.1.2.1 patch for World. Why is there no mention of this on the World download and description pages?

 

 

1.2.0. is the release version as opposed to the previous version 1.1.2.1, which is self-explanatory as 1.2..... comes after 1.1......

 

No mention of a later version as a consequence of their being no later version, ie 1.2.0. is the DCS World release version.

 

It gets more confusing. There's a patch in the Patches section for A-10C, bearing the version number 1.1.1.1. I presume that this is for the stand-alone version, as opposed to the World-integrated module, but there doesn't seem to be any clarification to this effect or otherwise.

 

 

You presume correct - it's all there in the version numbers.

 

Meanwhile, in the Modules section of the Downloads page, there's a download for A-10C bearing the version number 1.2.0. I assume that this is what I need to plug into World, and I need not bother with the 1.1.1.1 thing, but, again, there is no clarification nor, in fact, any information at all about this in the FAQ (or anywhere else that I could find).

 

 

Correct. There has been countless threads in the forum detailing the correct install procedure. In addition, the main site has a comprehensive installation instruction:

 

http://www.digitalcombatsimulator.com/en/faq/install/

 

Don't know what else you need to be honest.

 

I've already wasted one deactivation trying to get this mess sorted out, and I am not at all new to installing complicated series of game patches. This, together with my recent discovery that World's controller profile loading function is entirely broken (on my system, at least), is beginning to make me rather unhappy with my recent purchase, and is affecting my contemplation of a future purchase of DCS: P-51D. I'm even considering seeing if I can return A-10C to the seller

 

There has been no need to deactivate at all. Why you have done so only you would be able to answer.

 

The sim looks great, and I know it more than looks it from my experience with the Su-25T in World, but the level of customer support that I've seen thus far is very disappointing.

 

What exactly are you complaining about re 'level of customer support'? Looks pretty darned good from where I am sitting:

 

To summarise quite simply:

 

1 - Uninstall all previous versions and delete all leftover folders

2 - Delete the DCS Saved Games folders

3 - Install DCS World 1.2.0

4 -Install DCS Modules 1.2.0

 

Done.


Edited by 159th_Viper

Novice or Veteran looking for an alternative MP career?

Click me to commence your Journey of Pillage and Plunder!

[sIGPIC][/sIGPIC]

'....And when I get to Heaven, to St Peter I will tell....

One more Soldier reporting Sir, I've served my time in Hell......'

Link to comment
Share on other sites

See here: http://forums.eagle.ru/showthread.php?t=92554

 

Major (potentially game-breaking) bug, in the correct section of the forum, but no response from an ED rep.

 

You are aware that the official support structure is not the forum, but the user support system, yes?

 

http://forums.eagle.ru/showthread.php?t=57943

 

There is a good reason for this in that it cannot be expected for the ED Devs to frequent the English section of the forums to deal with problems, epecially when taking into account that english is not their first language. Some do, but it's the exception rather than the rule.

 

Have you submitted a ticket? If so, let me know and I'll follow up if the ticket has occasioned an unreasonable delay in getting dealt with.


Edited by 159th_Viper

Novice or Veteran looking for an alternative MP career?

Click me to commence your Journey of Pillage and Plunder!

[sIGPIC][/sIGPIC]

'....And when I get to Heaven, to St Peter I will tell....

One more Soldier reporting Sir, I've served my time in Hell......'

Link to comment
Share on other sites

hi ho,

 

i have a little question about this install procedures:

 

i am owner of following DCS/Eagle modules:

 

- LockOn FC2 Ti german CD version with english textes (rename in folder :))

- A10C german CD version

- Ka-50 (1.1.02) german CD version

- DCS World (english download version)

- P51D (english download version)

 

i want to use all new 1.2.0 DCS world modules ...

and i don't want any other standalone module except LockOn ...

 

so is it right to ...

1.) keep LockOn FC2

2.) uninstall all version of A10C, KA-50(1), DCS world within P51 and SU25

3.) clear all DCS folders (may be i will take a copy of my profiles)

4.) buy KA-50 BS 2 upgrade, is this possible?

5.) download all DCS Worlds modules (1.2.0, except CA ... i will try it later)

6.) install DCS world and all modules ...

7.) so i have all versions in english (good :)) and only one DCS installation

... ?

 

another question:

are the joystick profiles of the old versions and 1.2.0 compatible?

i know that there are more keys in 1.2.0, but is the format the same ?

i have a lua merge program ... to copy a profile to different airplanes ...

so i can copy old keys to a new profile if there is the same format within in the lua files.

 

thx in advance

Cap


Edited by caponi

too much ...

 

 

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...